# std::filesystem::file_status::permissions

From cppreference.com
< cpp‎ | filesystem‎ | file status

std::filesystem::perms permissions() const noexcept; | (1) | (since C++17)
void permissions( std::filesystem::perms perm ) noexcept; | (2) | (since C++17)

Accesses the file permissions information.

1) Returns file permissions information.
2) Sets file permissions to `perm`.

### Parameters

perm | - | file permissions to set to

### Return value

1) File permissions information.
2) (none)

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/file_status/permissions&oldid=105031"